@import url('https://fonts.googleapis.com/css2?family=Jost:ital,wght@0,100..900;1,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: "Jost", sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: url(./images/background.png) no-repeat center center/cover;
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
    height: 100%;
    padding: 0 20px;
}

.todo-app {
    width: 100%;
    max-width: 450px;
    padding: 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 20px;
    color: rgb(0, 0, 0);
    border-radius: 20px;
    box-shadow: 0 0 100px rgba(0, 0, 0, 0.5);
    border: 3px solid rgba(255, 255, 255, 0.18);
    backdrop-filter: blur(10px);
}

.empty-image {
    width: 350px;
    height: auto;
}

.todo-app h1 {
    font-size: 3rem;
    color: #fff;
}

.stat-container {
    padding: 15px 20px;
    border-radius: 10px;
    border: 2px solid rgba(255, 255, 255, 0.18);
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
    width: 100%;
    color: white;
}

.details {
    width: 100%;
}

.details h3 {
    color: #000;
}

#progressbar {
    width: 100%;
    height: 7px;
    background: rgba(255, 0, 64, 0.3);
    border-radius: 20px;
    position: relative;
    margin-top: 15px;
}

#progress {
    width: 0%;
    height: 100%;
    background: #ff6f91;
    border-radius: 20px;
    transition: width 0.3s ease;
}

#numbers {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 80px;
    height: 80px;
    background: #ff6f91;
    border: 2px solid rgba(255, 0, 64, 0.3);
    font-weight: bold;
    border-radius: 50%;
    font-size: 1.5rem;
}

.input-area {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.input-area input {
    flex: 1;
    padding: 10px 17px;
    font-size: 1.1rem;
    border: none;
    outline: none;
    background: rgba(255, 0, 64, 0.3);
    color: #3f3f3f;
    border-radius: 24px;
}

.input-area input::placeholder {
    color: #3f3f3f;
}

.input-area button {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
    margin-left: 10px;
    border-radius: 50%;
    border: 2px solid rgba(255, 0, 64, 0.3);
    background: rgba(255, 0, 64, 0.3);
    color: #fff;
    font-size: 1.25rem;
    cursor: pointer;
    transition: all 0.2s ease;
}

.input-area button:hover {
    transform: scale(1.1);
    background: #ff6f91;
}

.todos-container {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

#task-list {
    width: 100%;
}

#task-list li {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: rgba(255, 0, 64, 0.3);
    margin-bottom: 10px;
    border-radius: 30px;
    padding: 8px 20px;
    font-size: 1.25rem;
    position: relative;
    transition: box-shadow 0.2s ease;
}

#task-list li:hover {
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

#task-list li .checkbox {
    min-width: 20px;
    height: 20px;
    border: 2px solid rgba(255, 0, 64, 0.3);
    background: transparent;
    border-radius: 50%;
    cursor: pointer;
    transition: all 0.2s ease;
}

#task-list li .checkbox:checked {
    background: #ff6f91;
    transform: scale(1.1);
}

#task-list li .checkbox:checked::before {
    content: '\2713';
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1rem;
}

#task-list li span {
    flex: 1;
    margin-left: 10px;
    word-wrap: break-word;
    font-weight: 500;
    color: #1e1e1e;
}

#task-list li.completed span {
    text-decoration: 2px solid line-through #000;
    color: #000;
}

.task-buttons {
    display: flex;
    gap: 10px;
    margin-right: auto;
    margin-left: 20px;
}

.task-buttons button {
    background: rgba(255, 0, 64, 0.3);
    border: none;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    color: #fff;
    font-size: 0.8rem;
    cursor: pointer;
    transition: all 0.2s ease;
    display: flex;
    justify-content: center;
    align-items: center;
}

.task-buttons button:hover {
    transform: scale(1.1);
    background: #ff6f91;
}

.task-buttons .edit-btn {
    background: #ffbf00;
}

.task-buttons .delete-btn {
    background: #ff5757;
}

@media (max-width: 600px) {
    .container {
        margin: 0 20px;
        padding: 0 10px;
    }
    .todo-app {
        padding: 1.5rem;
        gap: 20px;
    }
    .empty-image {
        width: 250px;
    }
    .todo-app h1 {
        font-size: 2rem;
    }
    #numbers {
        width: 60px;
        height: 60px;
        font-size: 1rem;
    }
    .input-area input {
        font-size: 1rem;
    }
    #task-list li {
        font-size: 1rem;
    }
}
